<%@ page language="java" contentType="text/html; charset=utf-8"
    pageEncoding="utf-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>管理员</title>
	<link rel="stylesheet" type="text/css" href="../css/hr_main.css"/>
	<script type="text/javascript" src="../js/jquery-1.7.1.js"></script>
	<style type="text/css">
	   #addinfotab input{
	      width:80%;
	      height:30px;
	   }
	   @media screen and (-webkit-min-device-pixel-ratio:0) {  /*safari and chrome*/
		    select {
		        height:33px;
		        line-height:33px;
		        background:#f4f4f4;
		    } 
       }
	  @-moz-document url-prefix() { /* targets Firefox only */
	    select {
	        padding:8px 0!important;
	    }
	  }        
	  @media screen\0 { /* IE Hacks: targets IE 8, 9 and 10 */        
	    select {
	        height:30px;
	        line-height:30px;
	    }     
	  }
	</style>
</head>
<body>
	<div id="main_warpper">
		<div id="top_logo">
			<span class="reandlog"><a href="#">注册</a>&nbsp;&nbsp;<a href="../admin/tologin">登录</a></span>
		</div>
		<div id="middle_main">
		   <div id="mi_left">
		   	  <span><a href="../main/tomain">员工列表</a></span>
		   	  <span><a href="../admin/tomain">管理员</a></span>
		   </div>
		   <div id="mi_right">
		     <br>
		     <br>
		     <div id="warp_inner">
		         <c:if test="${empty employee}">
		           <form action="../main/insertinfo">
		         </c:if>
		         <c:if test="${!empty employee}">
		           <form action="../main/updateEmp">
		         </c:if>
			   	  <table id="addinfotab" bordercolor="#8DB3E2" align="center" width="960px" cellpadding="5px" cellspacing="0">
			   	  	 <tr>
			   	  	   <td>姓名&nbsp;&nbsp;
			   	  	   <%-- 不作显示字段 --%>
			   	  	   <c:if test="${empty employee}">
			   	  	     <input type="hidden" id="deptId" value="1" name="depId"/>
			   	  	     <input type="hidden" id="gender" value="1" name="gender"/>
			   	  	   </c:if>
			   	  	   <c:if test="${!empty employee}">
			   	  	   <%-- 部门ID --%>
			   	  	     <input type="hidden" id="deptId" hidden="hidden" name="depId" value="${employee.emDept.deId}" />
			   	  	   <%-- 性别标记 --%>
			   	  	     <input type="hidden" id="gender" name="gender" value="${employee.gender}"/>
			   	  	     <input type="hidden" name="emId" value="${employee.emId}"/>
			   	  	   </c:if>
			   	  	   <input type="text" name="emName" value="${employee.emName}" placeholder="请入员工姓名"/>
			   	  	   </td>
			   	  	 </tr>
			   	  	 <tr>
			   	  	   <td>职位&nbsp;&nbsp;<input type="text" name="position" value="${employee.position}" placeholder="请入员工职位"/></td>
			   	  	 </tr>
			   	  	 <tr>                                                          
			   	  	   <td>薪水&nbsp;&nbsp;<input type="text" id="salary" name="salary" onblur="check()" value="${employee.salary}" placeholder="请入员工薪水"/></td>
			   	  	 </tr>
			   	  	 <tr>
			   	  	   <td>生日&nbsp;&nbsp;<input type="text" name="birthday" value="${employee.birthday}" placeholder="请入员工生日"/></td>
			   	  	 </tr>
			   	  	 <tr>
			   	  	   <td>性别&nbsp;&nbsp;
			   	  	     <select style="width:80%;line-height:55px;" id="genderId">
			   	  	       <c:if test="${empty employee}">
			   	  	        <option value="1" selected="selected">男</option>
			   	  	        <option value="0">女</option>
			   	  	       </c:if>
			   	  	        <c:if test="${employee!=null}">
			   	  	        <option value="1"<c:if test="${employee.gender==1}">selected="selected"</c:if>>男</option>
			   	  	        <option value="0"<c:if test="${employee.gender==0}">selected="selected"</c:if>>女</option>
			   	  	       </c:if>
			   	  	     </select>
			   	  	   </td>
			   	  	 </tr>
			   	  	 <tr>
			   	  	   <td>部门&nbsp;&nbsp;
			   	  	     <select style="width:80%;line-height:55px;" id="EmployeeDept">
			   	  	     <%-- 如果不是编辑按钮点击跳转employee为空 --%>
			   	  	      <c:if test="${empty employee}">
			   	  	       <c:forEach items="${listDep}" var="deps">
			   	  	         <%-- 显示默认第一项部门名称 --%>
			   	  	          <option value="${deps.deId}"<c:if test="${deps.deId==1}">selected="selected"</c:if>>
			   	  	            ${deps.deName}
			   	  	          </option>
			   	  	       </c:forEach>
			   	  	      </c:if>
			   	  	     <%-- 如果是编辑按钮点击跳转employee不为空 --%>
			   	  	       <c:if test="${employee!=null}">
			   	  	        <c:forEach items="${listDep}" var="deps">
                              <%-- 显示点击相应部门Id相应的部门名称 为选中值--%>
			   	  	          <option value="${deps.deId}"<c:if test="${deps.deId==employee.emDept.deId}">selected="selected"</c:if>>
			   	  	            ${deps.deName}
			   	  	          </option>
			   	  	        </c:forEach>
			   	  	       </c:if>
			   	  	     </select>
			   	  	   </td>
			   	  	 </tr>
			   	  	 <tr>
			   	  	   <c:if test="${empty employee}">
			   	  	     <td><input type="submit" style="width:20%;height:33px;" value="录入信息"/></td>
			   	  	   </c:if>
			   	  	   <%-- 当点击编辑按钮时是更新信息 --%>
			   	  	   <c:if test="${!empty employee}">
			   	  	     <td><input type="submit" style="width:20%;height:33px;" value="信息更新"/></td>
			   	  	   </c:if>
			   	  	 </tr>
			   	   </table>
		   	    </form>
		   	  </div>
		   </div>
		</div>
		<div id="main_copyright"></div>
	</div>
	<script type="text/javascript">
	    $("document").ready(function(){
	       //选择时改变部门的Id
            $("#EmployeeDept").change(function(){
                 var depId=$("#EmployeeDept option:selected").val();
                 $("#deptId").val(depId);
             });
             
	        $("#genderId").change(function(){
	           var genderId=$("#genderId option:selected").val();
	           $("#gender").val(genderId);
	        });
	    });
	    
	    //验证薪水格式
	    function check(){
	        var text=$("#salary").val();
	        var regexp=/^^[1-9]\d+\.{0,1}\d{0,2}$/;
	        var flag=regexp.exec(text);
	        if(flag==null){
	           $("#salary").val("");
	           alert("输入薪水格式不对!");
	        }
	    }
	</script>
</body>
</html>