package com.hrmanager.controller;

import java.util.List;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;

import com.hrmanager.mapper.MainMapper;
import com.hrmanager.model.Admin;
import com.hrmanager.model.Dept;
import com.hrmanager.model.Employee;
import com.hrmanager.service.AdminService;
import com.hrmanager.service.DeptService;
import com.hrmanager.service.MainService;


@Controller
@RequestMapping("/admin")
public class AdminController {
    @Autowired
	private AdminService adminService;
    @Autowired
	private MainService mainService;
    @Autowired
    private DeptService deptService;
    
  	/**
  	 * Ϣҳ棩
  	 * @param request
  	 * @return
  	 */
  	@RequestMapping("/toadd")
    public String toAdd(HttpServletRequest request) {
		List<Dept> listDep=deptService.getAllDept();
		request.setAttribute("listDep", listDep);
		return "hr_addInfo";
	}
  	
  	
	/**
	 * Աҳʾ
	 * @param request
	 * @return
	 */
	@RequestMapping("/tomain")
	public String toMain(HttpServletRequest request){
		List<Employee> listEmp=mainService.getAllEmp();
		request.setAttribute("listEmp", listEmp);
		return "hr_admin";
	}
   
	/**
	 * ¼֤
	 * @param admin
	 * @return
	 */
	@RequestMapping("/login")
	public String admLogin(Admin admin){
		int count=0;
		Admin adm=null;
		if(adminService.findName(admin)!=null){
			adm=adminService.findName(admin);
			if(adm.getaName().length()>0){
				count=1;
			}
		}
		if(count>0){
			return "redirect:/main/tomain";
		}
	   return "error";
	}	
	
	//¼
	@RequestMapping("/tologin")
	public String toLogin(){
		return "hr_login";
	}
	
	//Աҳ
	@RequestMapping("/toadmin")
	public String toAdmin(){
		return "hr_admin";
	}
	
	
}
