package com.hrmanager.controller;

import java.util.ArrayList;
import java.util.List;

import javax.servlet.http.HttpServletRequest;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;

import com.hrmanager.model.Dept;
import com.hrmanager.model.Employee;
import com.hrmanager.service.DeptService;
import com.hrmanager.service.MainService;

@Controller
@RequestMapping("/main")
public class MainController {
	
	@Autowired
	private MainService mainService;
	@Autowired
	private DeptService deptService;
	
	/**
	 * ݶIdɾԱϢ
	 * @param emId
	 * @return
	 */
	@SuppressWarnings("null")
	@RequestMapping("/allSelectedEmpId")
	public String delAllEmpId(Integer[] emId){
		List<Integer> emIdList=new ArrayList<Integer>();
		if(emId!=null||emId.length>0){
			for(int i=0;i<emId.length;i++){
				emIdList.add(emId[i]);
			}
		}
		mainService.delByMoreId(emIdList);
		return "redirect:/admin/tomain";
	}
   
	/**
	 * Աҳʾ
	 * @param request
	 * @return
	 */
	@RequestMapping("/tomain")
	public String toMain(HttpServletRequest request){
		List<Employee> listEmp=mainService.getAllEmp();
		request.setAttribute("listEmp", listEmp);
		return "hr_main";
	}
	
	/**
	 * ԱidѯҪµӦԱϢ
	 * @param emId
	 * @param request
	 * @return
	 */
	@RequestMapping("/selectEmp")
	public String selectEmp(int emId,HttpServletRequest request){
		//ѯвϢ
		List<Dept> listDep=deptService.getAllDept();
		request.setAttribute("listDep", listDep);
		//idѯӦԱ
		Employee employee=mainService.selectEmp(emId);
		request.setAttribute("employee",employee);
		return "hr_addInfo";
	}
	
	/**
	 * IdԱϢ
	 * @param depId
	 * @param employee
	 * @return
	 */
	@RequestMapping("/updateEmp")
	public String updateEmp(int depId,Employee employee){
		Dept dept=deptService.getByIdDept(depId);
		employee.setEmDept(dept);
		mainService.updateEmp(employee);
		return "redirect:/admin/tomain";
	}
	
	/**
  	 * Ա
  	 * @param emp
  	 * @return
  	 */
  	@RequestMapping("/insertinfo")
  	public String insertInfo(Employee employee,int depId){
  		Dept dept=deptService.getByIdDept(depId);
  		//òId
        employee.setEmDept(dept);
        mainService.insertInfoEmp(employee);
  		return "redirect:/main/tomain";
  	}
  	
  	/**
	 * IdɾԱϢ
	 * @param empId
	 */
	@RequestMapping("/delemp")
	public String deleteEmp(int empId){
		mainService.delById(empId);
		return "redirect:/admin/tomain";
	}
	
}
