package com.hrmanager.service.impl;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.hrmanager.mapper.MainMapper;
import com.hrmanager.model.Employee;
import com.hrmanager.service.MainService;

@Service
@Transactional
public class MainServiceImp implements MainService {
	@Resource
	private MainMapper mainMapper;

	@Override
	public List<Employee> getAllEmp() {
		return mainMapper.getAllEmp();
	}

	@Override
	public Employee selectEmp(int emId) {
		return mainMapper.selectEmp(emId);
	}

	@Override
	public void updateEmp(Employee employee) {
		mainMapper.updateEmp(employee);
	}
	
	@Override
	public void delById(int empId) {
		mainMapper.delById(empId);
	}

	@Override
	public void insertInfoEmp(Employee employee) {
		mainMapper.insertInfoEmp(employee);
	}

	@Override
	public void delByMoreId(List<Integer> emIdList) {
		mainMapper.delByMoreId(emIdList);
	}

}
